Viking 1.11 (2026-01-11)
New features since 1.10
* Return to OpenStreetMap (https://openstreet.org) as the Map Default.
** Raster tiles from https://opentopomap.org is depreciated.
* Read support of Garmin .FIT files.
* SF Features#135: Support Georef layer image rotation.
* SF Features#151: Enable visual status indicator of each tile cache.
* More support for GPX fields: URL/Link properties.
* Support reading as much information as read in from invalid GPX files (rather than just giving up).
* More support for KML properties: snippet, track color, name and description.
* New TAC analysis for consecutive squares in linear directions.
* Support daylight times and basic astronomical data using libnova.
* Support Waypoint proximity alarms.
* GPX Lap support read only display output in tooltips and a table view.
* Github #148: Allow horizontal scroll on preferences.
* GitHub #152: GeoRef Zoomed in image fast redraw.
* Github #160: Support reading compressed .xz and .gzip files (for any supported Geodata files within).
* Github #194: Add Reload Viking file from disk.
* Github #211: Support opening files in existing running instance via command line '-r'.
* Github #238: Enable a view of all the Map Ids available.
* Github #241: Improve Waypoint dialog layout.
* Github #243: Improved keyboard zoom controls, including Ctrl+'0' to restore default zoom.
* Github #266: Make Adding New Maps Go On Top.
* Github #307: Enable showing OSM zoom levels in tooltips.
* Github #339: Change default download setting to follow all redirects. AKA fix use of OSM Mapnik.
* Github #344: Fix printing on Wayland.
* Use https by default for most data/configurations.
* Enable running with an alternate configuration directory as specified (on command line).
* Aggregate layer: add some analysis by 'active days' to accompany per track statistics.
* Enable per map layer tile cache expiry age.
* Enable (this) NEWS to be viewed from within the main program.
* Enable property 'user-agent' for download requests.
* Github workflow for CI Testing purposes.
* C23 compatibility.
* Many Internal Improvements + Fixes.

Fixes since 1.10
* SF Bugs#162: Fix rounding issue in test parsing lat/lon on i386.
* SF Bugs#171: Fix loading large waypoint symbols.
* Github #149: Fix incorrect limitation of easting input values for UTM.
* Github #170: Fix auto download of map tiles when 'check-file-server-time' is false.
* Github #175: Fix ruler drawing may crash program due to uninitialized values.
* Github #184: Fix MD5 check on MacOS.
* Github #187: MBTiles file format checks.
* Github #214: Resolve keyboard shortcut conflicts in Edit menu.
* Github #240: Fix missing tool-tips for some commands.
* Github #270: Prevent unnecessary precision in web requests.
* Github #279: Fix default ordering of items.
* Github #293: Fix escaping accented characters on URL search.
* Github #295: Flatpak: Upgrade to the latest KDE runtime 5.15-24-8 (that is congruent with gpsbabel build).
* Github #306: Avoid requesting maps outside zoom limits on F5 refresh.
* Github #317: Ensure Default Layers dialog updates widget sensitivities.
* Github #337: Ensure print preview has GTK3 implementation.

Depreciations since 1.10
* Depreciate GPSMapper and GPSPoint export options.

Viking 1.10 (2021-11-27)
New features since 1.9
* SF Features #11: Add Exit Warning if something modified.
* TAC: Ability to count and display newly covered tiles
* Github #134: Support 'geo:' URIs on the commmand line
* Calendar supports marking of multi-day tracks
* More Preferences for initial conditions
** Including the default zoom, showing of the centermark and the scale
* Ability to rename a track based on it's start date
* Allow global HTTP User-Agent override
* Draw overlays on track graphs as a line
* Many Internal Improvements + Fixes
* Large Basque and Danish language translation updates

Fixes since 1.9
* SF Bugs#160: Windows - Fix handling special characters in filenames
* Github #68: Windows - Improved Data Path Determination
* Github #119: Fix build on OpenBSD
* Github #122: Fix Image Generation under GTK3
* Github #126: Fix URL for OSRM Foot routing
* Github #128: Maintain datasource_gc.c such that it at least compiles
* Github #131: Fix build error with --disable-libzip
* Github #136: [WINDOWS] Build compatibility for Windows 7
* Github #137: Ensure don't create invalid GPX export when given invalid input
* Github #139: [WINDOWS] Ensure the default map (OpenTopoMap) works.

Viking 1.9 (2021-03-20)
New features since 1.8
* GPX 1.1 Support for most common Extensions (inc. Heart Rate, Power, Temperature & Cadence)
* GTK3
** Pinch Zoom support on Touchpads/Touchscreens (not GTK2 build)
* Select Tool is now the default with more intuitive behaviour to enable moving the map
* [OpenTopoMap](https://opentopomap.org) is the new Map Default
* Online Search in Left Hand Pane
* Track Statistics in Left Hand Pane
* [OSRM](http://project-osrm.org) Routing Support
* Log diagnostic Window
* DEM Colour options
* DEM Server enhanced support (NASA Earthdata login and alternative DEM server configuration)
* Ruler uses Great Circle drawing and distance.
* Single key Shortcuts support
* Improved Track Area Coverage (faster drawing, option to limit years of coverage)
* Monthly Statistics Analysis
* Native KML Parser enabling support for more KML features
* More KML export options
* Ability to convert Tracks/Routes to Waypoints and vice versa.
* Ability to 'Rotate' Routes/Tracks, i.e. to shift the start/end point of circular routes.
* Ability to Reset Preferences and Layer Defaults
* Ability to Reset Layers back to the Layer Default.
* Enable Filtering on some List Displays (hence a basic internal search).
* Support more GPX 1.0 Waypoint fields - the less commonally encountered ones.
* Flatpak Version - also available on [Flathub](https://flathub.org/apps/details/org.viking.Viking)

Fixes since 1.8
* SF Bugs#157: Waypoint Properties dialog shows wrong waypoint symbol
* SF Bugs#149: HTTPS Does not work on Windows install
* SF Bugs#84: Losses Extended Waypoint Information on Save/Export

Viking 1.8 (2020-02-02)
New features since 1.7
* New GeoClue Layer to Track Position from the GeoClue service
** Not available on Windows
* Per Year Track Analysis
* Track Timing Speed Splits Analysis
* Subsecond Timing Precision for Tracks & Waypoints
* Track Area Coverage Feature
* Native Read Support of Zip & bzip2 Files
** This attempts to load supported files found within the compressed file
* Native Basic TCX Read Support
* Embedded (Elevation & Speed) Graphs in the Main Window
* Improved icons for Aggregate and Maps layers
* Scrolling Options for Better Usage with Touchpads
* Right Click Menu Options on the Calendar
* Various Keyboard Enhancements:
** Left & Right arrow keys selects the previous or next trackpoint respectively
** Keypad '+' & Keypad '-' inserts a trackpoint after or before of the current trackpoint
** Menu key opens the track context menu
* SF Features#117: Area Calculation Tool
* Large Basque language translation update
* Many other small fixes - see the ChangeLog for the full details.

Viking 1.7 (2019-01-21)
New features since 1.6.2
* KMZ Map File Support
* Apply Button for Layer Properties
* Support More GPX Fields
* Updated Default Map: Mapbox Outdoors
* GeoClue Support for Automatic Location
* Faster GPX File Loading
* Waypoint / EXIF GPS Image Direction Support
* Support More Garmin Waypoint Symbols
* Support Garmin Device GPX Point Limits
* Windows GPSD Client
* Support 'External' GPX File Layers in .vik Files
* Usage of HTTPS addresses
* Support OAuth for OSM
* Support High Resolution Displays
* Track+Route Split+Join Tools
* Calculation of Eddington Number
* Calendar Display
* Can Select a Result from the Online Search Results
* Reproducible Builds
* 64bit Windows Build only
* Travis Build + CI
* Consistent Licensing of GPL2+
* Many Internal Improvements + Fixes

Fixes since 1.6.2
* SF Bugs#154: Ensure GPX output values are XSD:Decimal
* SF Bugs#151: Compatibility with GPSD API v7
* SF Bugs#152: Fix repeatedly showing the license dialog
* SF Bugs#148: Fix reversing manually created tracks & routes
* SF Bugs#146: Fix showing elevation gain/loss in track properties.
* SF Bugs#144: Fix Export to World File
* SF Bugs#138: Fix handling of <link> tags in GPX files.
* SF Bugs#135: Fix OSM Maps shown by default at Maximum Zoom.
* SF Bugs#133: Remove the auto added map when opening the first .vik file from the GUI.
* SF Bugs#134: Replaced discontinued MapQuest tile service with rate limited Mapbox Outdoors service.
* SF Bugs#132: Fix to correctly open GPX files in Windows via double click.
* SF Bugs#130: Fix GeoRef layer alpha value change to 255 is ignored until restart
* SF Bugs#22: Fix changing coordinates when saving and exporting
* SF Bugs#128: Fix Crash when loading broken .vik file

Viking 1.6.2 (2015-12-21)
Bug Fix Release
* Don't remove project name if one decides not to delete all layers.
* Fix routes not saved in GPX when tracks are made invisible.
* SF Bugs#103: Fix TrackWaypoint layer items may not be displayed when pasted
* Enable Catalan and Turkish translations.
* Restore opening of JPG files.
* SF Bugs#127: Fix initial display of Waypoint sort order.
* Fix map layer widget sensitivity dependent on map type.

Viking 1.6.1 (2015-11-24)
Bug Fix Release + updated translations
* Several fixes and many code improvements from Coverity scans
* Fix heap-buffer-overflows
* Mapnik3 support.
** C++ standard required is now C++11
* Reactivate building of the reference documentation
* SF Bugs#126: Fix crash in gdk_rgb_convert_0888 due to using deallocated memory.
* SF Bugs#121: Fix crash when invalidating previously acquired tiles.
* SF Bugs#123: Fix bzip2 decompression on Windows.
* SF Bugs#122: Fix memory cache confusion with multiple "On Disk OSM Tile Format" maps
* SF Bugs#120: Fix Track drawing bug across the 180th Meridian.
* Red Hat Bugzilla – Bug 1210403: Only download and process one Bing attribution list.
* Fix Geocaches acquiring with latest geo-* software
* Import latest Launchpad translation updates
* Many other small fixes - see the ChangeLog for the full details.

Viking 1.6 (2015-03-29)
New features since 1.5.1
* Mapnik Rendering Layer (not available in Windows build ATM) - with preprocessor CartoCSS option.
** Build system dependency on C++. Source dependency on libmapnik-dev.
* Export files via GPSBabel
* Extended GPSBabel filtering support - Enables limited/simple OSM Overpass API support.
* Support reading of MBTiles files.
* Support reading of OSM Metatiles.
* Configurable Toolbar
* Configurable Menu keys
* Various time related features:
** Edit trackpoint and waypoint times.
** Sort layers by time.
** Preference option 'World' to display time values based on the position (i.e. in the local timezone) of the track or waypoint.
** Show time axis values on time graphs
** Quick search of tracks by date
** Open external programs Rednotebook or Stellarium at the specific time (and place) of a point.
* Improved route finder UI usage
* GeoJSON support via external programs 'togpx' and 'togeojson'
* New default Map Cache layout to be more compatible with standard OSM/TMS structure.
** Also python tool available to migrate cache layouts
* Support GPX Metadata values common to GPX1.0 and GPX1.1
* Extended map type configuration options (zoom levels + area extents limits)
* Build compatibility with GPSD 3.12
* Allow starting Viking with command line parameters to set position, zoom and map type.
** --latitude <degrees>
** --longitude <degrees>
** --zoom <ZoomLevelOSM>
** --map <MapID>
** eg: $> viking --latitude 51.4 --longitude -1.3 --zoom 12 --map 13
* Improved Windows install information and options
* Export Track, Route and Waypoint Lists as text.
* Many internal improvements, fixes, more translations and various other small improvements.

Fixes since 1.5.1
* SF Bugs#104: Fix GStatBuf not available on Glib < 2.26
* SF Bugs#105: Fix Display of Lines (Clipping) at High Zoom Levels.
* SF Bugs#106: Fix incorrect location on opening .vik file saved in different locale.
* SF Bugs#109: Ctrl+Keypad+/- to Zoom In/Out respectively.
* SF Bugs#112: Enable using libgexiv2 for writing geotag image data to void XMP data loss.
** Thus default source dependency on libgexiv2-dev
** Not available in Windows build ATM
* SF Bugs#113: Fix waypoints can be accidentally moved on (re)selection by the select tool
* SF Bugs#114: Fix Shortcut keys get reset next start
* SF Bugs#115: Fix application hanging on degrees input ending in a comma.
* SF Bugs#118: Fix route point selection via the Edit Trackpoint tool.
* Debian #761966: Remove an incorrect accelerator in the German translation.
* Debian #746815: Fix loading image thumbnails when some Unicode chars in the pathname

Viking 1.5 (2013-10-13)
New features since 1.4.2
* Startup preferences for ease of use.
* Multi layer/track statistics.
* Multi layer/track or waypoint detailed lists.
* Control sorting of layers and quick show/hide all options.
* Configurable layer defaults.
* Optimizations when loading and drawing large numbers of tracks.
* Allow higher zoom levels up to 1/32 (OSM z22 equivalent but maps only requested up to z19).
* Retain internal options across sessions.
* Selectable online router service provider (now including OSRM)
* 'Via' points online route refining.
* Download a file directly from an URL.
* Datasource acquiring files from URLs related to the current view.
* Support timestamps (read only) in waypoints.
* Support naming trackpoints.
* Request downloading a region of maps over multiple zoom levels.
* Support Compressed My OSM Traces files (requires libbz2 and libmagic).
* Support opening files drag and drop on to the viewport.
* Support relative paths in Viking files.
* Add support for OSM Humanitarian (HOT) Style Map.
* Advanced preferences.
* Optional track labelling on the viewport.
* Translations for the Basque language.
* Improved Help Manual.
* Many internal improvements.

Fixes since 1.4.2
* Fix crashing if attempting to Extend a Route via the Route Finder when the route has no points.

Viking 1.4.2.0 (2013-07-26)
Bug Fix Release
* Fix menu use of named own Icons since the icons were renamed some time ago.
* [QA] Fix memory leak in drawing new tracks/routes.
* [QA] Fix memory leak on deleting TrackWaypoint layers.
* [QA] Fix large memory leak on viewing Track Properties.
* [QA] Fix incorrect iterator usage.
* [QA] Fix memory leaks on reading in Viking files.
* [QA] Fix memory leak in treeview tooltips and selection.
* [QA] Fix large memory leak when removing DEM layers.
* Fix some interpolated values of a trackpoint on insertion between points.
* Fix handling failed downloads with the My OSM Traces method.
* SF Bugs#101: Fix Acquire from Google Directions.
* Fix name search using Google.
* SF Bugs#100: Fix Crash on viewing Track Properties with extreme gradients.
* SF Bugs#97: Fix missing redownload settings of some maps in the example config
* SF Bugs#99: Increase limit for Map IDs
* Automated check for the latest version. ATM only on Windows systems.
* Enable getting Viking Version as a number from a string to enable comparisons.
* SF#3613971: Remove Geofabrik's OpenStreetMap WMS, as it is not for public use.
* Don't silently fail on attempting to split to a track.
* Fix background thread statusbar update instability.
* Fix location of gdk_threads_enter() to be before first window creation.
* Allow Bing Map source URL to be set via the configuration XML file.
* SF#3610708: Fix Failing to Load DEM files on Big Endian Systems.
* Fix incorrect setting to lowest zoom value when clicking away from the statusbar zoom menu.
* [QA] Improve create zoom menu to use G_N_ELEMENTS to know array bounds.

Viking 1.4.1.0 (2013-04-08)
Bug Fix Release + updated translations
* Import Launchpad translation updates [Mainly for large Czech update]
* Fix using .vik files with 'unusual' track or waypoint names
* Fix waypoint selection when the waypoint has an image but the images are not being displayed.
* Fix showing map timestamps on Windows on the map tile info dialog.
* SF#3608411: Part 2 - Avoid creating command window on Viking start-up.
* SF#3608411: Part 1 - Avoid warning about unbuffer on Windows Systems.
* SF#3608264: Improve Statusbar Location Info Maybe Truncated
* Prevent inputting empty names for layers and sublayers via the layers panel.
* SF#3608311: Fix crash caused by renaming blank sublayer names
* Be less strigent in loading Geotagged images without optional GPS tags
* Fix use of scaled tile image when tile image not present.
* Enable updating the treeview to allow setting a blank waypoint symbol.
* Improve the Waypoint tooltip to display the description if there is no comment.
* Fix datasource acquiring waypoints from geotag images.
* Updated geo-* scripts to version released on 2013/02/18
* Fix compilation with --enable-geocaches option.
* help/Makefile.am: explicitly list figures.

Viking 1.4.0.1 (2013-02-16)
Windows Only Release.
* Windows: Add .vik file extension association option in the installer

Viking 1.4 (2013-02-11)
New features since 1.3.2
* Support for GPX Route type including transfer to/from GPS Devices.
** Replaced 'Add Track' tool with 'Create Route' tool. (NB There still is the Create Track tool)
* Support for GPX 'Description' for tracks, waypoints and routes.
* Add ability to Acquire My OSM Traces and ability to choose any subset of the available traces.
* GPS Upload from a track.
* Enable giving a track a specific colour (drawn in default draw by track mode).
* Enable drawing all tracks in a specific colour (no longer is Black the only option).
* Allow option of drawing a direction arrow when drawing a track.
* Allow configuration of trackpoint size and direction arrow size.
* Display Waypoint Icons in the layers panel treeview.
* Restored Route Finding via Google Services. [Was disabled in 1.3.2 due to change in formats supported]
* Only display sublayer container when there are sublayers.
* Display map tile source and cached file information in a dialog for a position.
* Quick zoom level change from the statusbar by clicking on the zoom level to select another level.
* In the Zoom Tool mode: can select an area to zoom in on (via holding shift key + drag mouse).
* Mouse Zooming in/out maintains the position focus on the mouse pointer location.
** (Use the keys Ctrl+Shift and mouse zoom to maintain the centered map location).
* Improvements in Acquiring Wikipedia Points (allow more points, sortable columns, URL and feature type).
* Allow opening a URL on a waypoint which has a URL for a comment or description.
* Re-organized TrackWaypoint Layer menus to group functionality together better with New, View, Combine, Split, Delete, Acquire and Upload submenus.
* Gradient Graph view on the Track Properties.
* Allow same named TrackWaypoint sublayer items. i.e. can now have 2 (or more) waypoints with the same name.
* Add support of a Map type for a local On Disk OSM Tile Format.
* Revised Draw Track by Speed mode with a simple traffic light colouring scheme to represent slow/average/fast speeds.
* Enable deletion of track points with the same timestamp.
* Ability to merge segments of a track.
* Allow generation of large pixel sized images.
* Rework image generation to ask for file name first and then only allow supported map zoom levels.
* Allow control of waypoint text size on the viewport display.
* Allow control of GPX file saving track order (either Alphabetical or By Time via global preference).
* Keyboard shortcuts to create layers and enable some tools.
* Show the bearing and the step distance of the next point when creating a track or route.
* Improved feedback in reading erroneous files.
* Improved Help Manual.
* More translation texts including a Finnish version.
* Scripts to support the creation of the Windows Executable Installer.
* Add a python tool to convert the Viking tile cache into a MapBox MBTiles format file.
* Many internal improvements.

Fixes since 1.3.2
* Don't accidently overwrite GPX and KML files in the Viking file type.
* Use the default desktop font for waypoint viewport display text.
* Ensure when opening multiple .vik files they are each loaded into a new window.
* Show UTM location in statusbar when in UTM mode.
* Fix: crash when dealing with non-compressed DEM files

Viking 1.3.2 (2012-09-23)
Bug Fix Release including:
* Removed Route Finder Tool as Google Direction service interface has disabled the method Viking interfaced with it.
* Fix for Debian#685817: Statusbar Update From Thread Instability
* Fix SF#3564795: Crashing when attempting to create waypoints from EXIF images without enough GPS information.
* Fix drawing of next potential trackpoint on Windows Systems.
* Fix GPSBabel Dynamic Device List generation on Windows Systems.
* Fix crashing when displayed map copyright(s) is longer than the internal buffer.
* Fix crashing when deleting a GPS layer which has started a realtime tracking.
* Fix printing of DEBUG message since glib 2.32

Viking 1.3.1 (2012-06-26)
Bug Fix for Windows Systems Release:
* Fix crash in Show Picture functionality on Window's Systems.

Viking 1.3 (2012-04-22)
New features since 1.2.2
* Be consistent in that track and waypoint list dialogs are always sorted alphabetically.
* Add OSM Transport map as a built in map option.
* Add supported MIME types to the desktop file specification.
* Add example script that can be used to upload a track as a route to a predefined GPS device.
* Display the average moving speed for a track in the track properties.
* Add ability to open a TrackWaypoint layer with another external program (default merkaartor).
* Add ability to open a TrackWaypoint layer with an external program (default JOSM).
* Use map default: OSM MapQuest tileserver.
* Add and use a preference for the associated image viewer program.
* Add and use KML File Export units option.
* Add ability to geotag images interpolating times against tracks.
* Acquire Geotag Images via TRW Layer
* Ensure vtl created in acquire operation runs post read stage.
* EXIF read implementation for geotagged images (libexif).
* Add new process stage for acquire methods.
* Enable reversing a track from the track menu.
* Display compact message on the statusbar for the selected trackpoint or waypoint. (SF#3314888)
* Enable multiple selection and deletion.
* Scale waypoint icons to give large or small icons as necessary.
* Add Yahoo! Maps webtool link.
* Extend webtools with a bounds version for the URL which takes four string parameters.
* Add webtool for Bing maps.
* Add Acquire OSM option into the Track/Waypoint layer operations.
* Add used geo-* scripts as they are public domain.
* Continue geocaching.com support via third party tools.
* Show elevation gain/loss on track creation 'tooltip' (as per SF#2838561 request), when such data is available.
* Automatically attempt to set elevation data from the DEM layer whilst a track is being created.
* When creating a track, display the total distance of track (via a tooltip like text) on the main display.
* Allow to import any file known by gpsbabel
* Add support for any device known by gpsbabel
* Add experimental support for GPSD_API_MAJOR_VERSION 5.
* Add ability to acquire GPS traces stored on OSM
* Enable copying layer/sublayer names as plain text, so that it can be pasted into external text handling applications.
* Enable getting of the statusbar from the window.
* On creating a new waypoint always attempt to auto set the altitude if DEM data is available.
* Enable the escape key to remove/reset the ruler tool.

Fixes since 1.2.2
* Remove Tiles@home support as the service has stopped.
* cleanup: Remove unused and out of date 'viking-remote' script and related files.
* cleanup: Remove *very* old documentation and don't bother distributing any of it which is all old.
* Fix Track Properties graph blob marker drawn at wrong elevation when elevation graphs have different min/max heights.
* Fix Track Properties graph DEM points drawn at wrong elevation when lowest elevation is not zero.
* Use an intermediary program which will invoke the system's default for opening images.
* Fix opening of external web sites via center method when the zoom level is less than 1 mpp.
* Fix crashing on opening a file via recent menu after a .vik file is opened.
* Fix too easy to accidently move a waypoint with an image with the select tool - must use shift key.
* Fix can not immediately select another layer if currently selected layer's visibility changes.
* Fix compilation with curl 7.21.7 (SF#3376584)
* Improve libgps test with the consistently available function: gps_close
* Fix <GTK 2.24 combo box usage.
* Fix crashing on opening multiple files after a .vik file is opened.
* Solution for SF#2766266 - Give user feedback about OSM uploads (success/failure).
* Fix: send VLP's update signal when adding a layer
* Fix: Don't abort program when attempting webtool center with different x & y factors.
* Fix Join Tracks functionality.
* Fix SF#3408170: Selected Track Thickness is Always 1px
* Fix tracks not shown over map when map layer is dragged to the end of the treeview list.
* Refuse to load unsupported file types.
* Restore broken GPS power off command.
* Fix: SF#3042692 - Tiles May Get Deleted During Offline Usage.
* Fix some tracks elevation profile may display no altitude, despite all altitudes available in the track.
* Fix SF#3387590: Top Layer cannot be renamed
* Enable merging tracks without timestamps to other tracks that do not have timestamps. (SF#2886231)
* Prevent track merge by time requests when there are no other suitable tracks.
* Improve track name when split from Track Properties window.
* Replace 'Magic Scissors' by a more accurate name - 'Route Finder'.

Viking 1.2.2 (2011-11-03)
Fixes since 1.2.1
* Increase default tile age check to 7 days.
* Fix compilation with curl 7.21.7 (SF#3376584)

Viking 1.2.1 (2011-06-16)
Fixes since 1.2
* Support proper MAC OS file locations.
* Fix incorrect track property line marker positioning when the track has gaps.
* Fix track property point marker drawing error - sometimes draws dot marker too low.

Viking 1.2 (2011-05-24)
New features since 1.1
* Remove unecessary treeview item selection.
* Add zoom level 0.5 to map layer
* [DOC] Add links to access Viking's source code
* Rename file to prevent any case-insensitive issues.
* Add getting the users confirmation when deleting (emptying) data from the GPS layer.
* Enable keypad delete to remove layers in the layers panel.
* Enable deleting multiple tracks or waypoints within a layer by selecting them from a list.
* Add getting the users confirmation when deleting an individual track or waypoint.
* Add the ability to delete all waypoints or tracks in the layer.
* Add getting the users confirmation when deleting a layer.
* Start a new 'Tracks' treeview menu, similar to the 'new' Waypoints treeview menu.
* Add operations on waypoints into the 'new' Waypoints treeview menu.
* Add new graph type Speed/Distance in the track properties window.
* Add new graph type Elevation/Time in the track properties window.
* Add new graph type Distance/Time in the track properties window.
* Improve Track Properties speed/time drawing to display in nice human friendly whole number scaled units.
* Improve Track Properties elevation drawing to display in nice human friendly whole number scaled units.
* On the Track Properties Window draw an always updating indicator of where the readings are taken from.
* Enable controls of drawing DEM data and GPS speeds on the Track Properties Window.
* Add keyboard accelerators for the Track Properties Window.
* Add ability to resize the Track Properties window.
* On the Track Properties Window, also show the elevation or speed for the current track position as indicated by the mouse pointer.
* Add support for kml files.
* Add ... where necessary to track & waypoint menu entries.
* Enable Open Waypoint Image via right click menu entry.
* Use ability to select a waypoint given the thumbnail image size.
* Add ability to open the trackpoint edit dialog via the viewport right click menu when a trackpoint is selected.
* Add ability to move selected trackpoint or waypoint by the mouse within the select tool.
* Add a new select tool at the window level to enable/disbale item selection of the a track or a waypoint.
* Enable to unselect treeview item
* Add Select Request layer interface and use within the track/waypoint layer to select an item.
* Add internal track right click menu variable.
* Tidy up track/waypoint sublayer callbacks to only use the layers panel if it available.
* Add viewport to sublayer add menu items callback.
* Make the highlight colour configurable and use as appropriate for the selected track/waypoint drawing.
* Add track and waypoint highlight for the selected layer or individual item.
* Add the storage and retrieval of any kind of track or waypoint selected item (either an individual item, list (i.e. a sublayer) or layer) at the window level.
* Add viewport property to control the display of the track / waypoint item highlight.
* Add backup support for launching URLs with Mac OS based browsers.
* Add backup support for launching URLs with Google Chrome based browsers.
* Add support for Bing maps
* Add support for dynamic copyright
* Add map's logo support
* Add support for reference documentation
* Generate a trackwaypoint layer update on the finish creatiing of the thumbnails so the images are shown.
* Enable the tree view panel to be more usefully resized smaller than the text names.
* Windows: Open help pdf file when when clicked on Help->help
* [DOC] Split By Number of Points
* Add Track->Split by Number of Points (as per SF#2847587 request).
* Add a new dialog to return positive number.
* SF#2844872: Suggest name for the new track when splitting the track via the trackpoint edit dialog.

Fixes since 1.1
* Better safety checking to prevent crash due to null variable reference in use of the current trackpoint.
* Fix: Reduce GObject cast
* Fix etag handling
* Fix: generate doc/reference/Makefile when needed
* Fix Track -> Split by Timestamp such that newly created tracks are ordered correctly.
* Fix sensitivity of the track properties window split marker to be disabled when the track marker is not drawn.
* Fix crashing due to incorrect usage of libcurl - SF#3206628.
* Fix non-void function should return a value.
* Fix reference documentation generation - some systems need explicit mention of libz.
* Fix displaying of 'Waypoints' treeview menu.
* Fix vik_aggregate_layer_get_all_layers_of_type for track/waypoint layer types, since these may also be stored under GPS layers.
* Improve previous fix: background calling code should control return value
* Fix: background calling code should control return value
* Fix: enforce background feature
* Fix compiler warnings from gcc 4.5.4
* SF#3178554: Fix Sun Studio build
* gtk_object_sink has been deprecated since gtk version 2.10, use g_object_ref_sink() instead.

Viking 1.1 (2011-02-08)
New features since 1.0
* [DOC] Add MapQuest Nominating search service in examples
* Adjust colour of last auto track colour to not clash with default create track colour.
* Add menu icons for the maps layer menu.
* Make the selection list in Merge With Other Tracks sorted alphabetically.
* Add sort list by name function. Will be useful for track and waypoint list ordering.
* [DOC] Mark ready for 1.1 release. Update help manual version to 0.2.
* [DOC] Add layer information for Aggregates, Coords and GeoRefs in help.
* [DOC] Add Maps layer help information.
* [DOC] Add overall layer information and promote each layer to be a top level section in help.
* [DOC] Add DEM layer help information.
* [DOC] Mention waypoint properties in help information.
* [DOC] Update GPS layer help information.
* [DOC] Update track operations help information.
* [DOC] Update waypoint operations help information.
* [DOC] Update Tools help section
* [DOC] Update TrackWaypoint layer menu help Information
* Improve positioning of the menu separator on waypoint menus.
* Add GeoRef layer tooltip to show the file name in use.
* Add GPS Layer tooltip to say the protocol (aka device manufacturer) type.
* TrackWaypoint Layer tooltip featuring summaries for tracks and waypoints.
* Add maps layer tooltip to show the map name(type).
* Add DEM layer tooltip to show the number of DEM files in use.
* Add Track and waypoint sublayer tooltip information.
* Add treeview use and display of layers tooltip.
* Add Layer Tooltip callback definition
* Add sublayer tooltip callback definition.
* When getting data via the GPS layer automatically set the view to see it, unless the realtime tracking mode is on.
* On acquiring data from sources (inc. GPS) automatically set the view to see it. Except for GeoCaches; as it's likely you're requesting data for the current area, so no point in trying to change the view.
* On opening GPX files automatically view all the data.
* Add 'View All Tracks' option to the panel Layer menu options, which sets the view (center & zoom) to see all the tracks of that layer.
* Add 'View Waypoints' option to the TrackWaypoint layer menu options, which sets the view (center & zoom) to see all the Waypoints.
* Add 'View Track' option to the Track sublayer menu options, which sets the view (center & zoom) to see the track.
* Add 'View Layer' option to the TrackWaypoint Layer menu options, which sets the view (center & zoom) to see the entire layer.
* Add the ability to 'autozoom' to view an area specified by maximum and minimum lat/longs for a TrackWaypoint layer.
* Create a new 'Show' submenu entry
* Improve curl usage as should call cleanup on application exit.
* Add copyright and license properties for NASA BlueMarble data.
* Add background thread loading of DEM files.
* Add Track->Goto Highest and Lowest points features.
* Add Track->Goto Maximum Speed feature.
* Rework Track->Goto menu options.
* Add support for the TMS interface provided by SPOTMaps
* Add license related properties
* Add copyright property
* Improve key binding for Mercator Mode -> ctrl+m
* Add documentation for generic TMS map source
* Improve key bindings for ModeLatLon.
* Add OSM WMS Server
* Add support for WMS-C
* Add support for more standard TMS
* Move-up download methods
* Add LatLon projection
* Better safety checking code
* Add support for Locosys devices via GPSBabel's navilink device protocol.
* Add support for DeLorme devices via GPSBabel's delbin device protocol.
* Add the ability to insert a trackpoint into a track via the Edit Trackpoint dialog.
* Add internal function to insert a trackpoint after the currently selected trackpoint.
* Add license notice to new file
* Enable individual track to GPX export via the Track sublayer menu.
* Set default action on dialogs.
* Add a perl script to auto generate basic Viking .vik files for directories containing images.
* Enable control of the visibility of the menubar [including keyboard shortcut - F4]. Also enable panic key 'Escape' to restore menubar if hidden and no tool uses it.
* Enable control of the visibility of the toolbar [including keyboard shortcut - F3].
* Make use of the vikwindow toolbar variable.
* Enable control of the visibility of the statusbar [including keyboard shortcut - F12].

Fixes since 1.0
* Prevent Gtk-CRITICAL assertion when the application is closed with a Track Property window on display.
* Prevent Gtk-CRITICAL assertion when the application is closed whilst loading DEMs.
* Fix trackpoint edit altitude sensitivity to be re-enabled after it has been disabled.
* Fix incorrect cut/copy of sublayers when accessed via the layers panel buttons.
* Fix the List Dialog so that it does not become taller than the screen when there are lots of entries.
* Fix some compiler warnings in viktrwlayer.c when configured to build with --disable-alphabetized-trw
* Fix Resource leak detected by cppcheck 1.46
* Fix compiler warning in curl_download.c
* Fix compiler warning in vikmapslayer.c
* Fix compiler warning in vikwindow.c - use correct const typing.
* Fix compiler warnings - correct Widget / Window type.
* Fix memory leak when generating image file
* Fix: Improve XML reading error reporting
* Fix compiler warnings in osm.c
* Fix compiler warning in vikmapslayer.c
* Fix Waypoint & Track visibility issues.
* Fix SF#3104028: Default Color Background is incorrectly saved as black into a new .vik file.

Viking 1.0 (2010-11-14)
New features since 0.9.96
* Add minimal translator-credits in About dialog
* Add documenters to About dialog

Fixes since 0.9.96
* Improve copyright holders
* Prevent crashes when downloading Expedia Maps.
* Fix extend track using magic scissors.
* Fix autodownloading while panning
* Fix Debian #599048: Segmentation fault when using gpsbabel
* Fix dem_gradient_colors allocation.
* Fix compiler warnings in preferences.c

Viking 0.9.96 (2010-10-11)
New features since 0.9.95
* Use ETag to detect fresh tiles on servers
* Add new menu entry in GPS Layer to delete the realtime information.
* Ensure GPS realtime information deleted when GPS Layer -->Empty All is called.
* Prevent zoom factor string displaying unnecessary .0s when it's a whole number.
* Improve Track Properties speed profile display for low speed difference (e.g. walking) tracks.
* Use speed units in display of Track/Waypoint layer draw by velocity config values, but maintain units as metres per second when read from/saved to files.
* Add keyboard accelerators for as many as possible View Menu entries.
* Simplify zoom status when xmpp and ympp are equal
* Use height units in the altitude readout for the cursor position on the status bar.
* Use height units in display of DEM min / max elevation values, but maintain units as metres when read from/saved to files.

Fixes since 0.9.95
* Fix many memory leaks
* DEM layer properties tidy up.
* Prevent getting stuck in a near infinite loop when using Coord layer, UTM mode and zoomed out to see the whole world.
* Prevent lock up in attempt to download maps along a track in UTM mode.
* Launchpad Bug #445374: Prevent crash when downloading maps along a track, with Terraserver maps when in Mercator mode.
* Add explicit linking against libz and libm
* Fix SF#3009431: Prevent Crash in Real Time Tracking GPS Mode & Autodownload Maps.
* Fix display of rounded speed units scale markers in the speed profile.
* Fix cycle map URL
* Fix compiler warnings
* Fix Track Draw by Velocity mode, so that individual track points are coloured (as was the intention).
* Fix bug where older file was removed when network not present
* Fix: warning 'draw-mode' message does not display
* Fix incorrect limitation on source map id

Viking 0.9.95 (2010-09-07)
New features since 0.9.94
* Add some function short cut key definitions to control showing of the center mark and scale viewport features.
* [DOC] Replace Google with OSM capability in man pages.
* When manually creating a track, automatically give it a default name.
* [DOC] Add contributors from the Wiki(s) history.
* Better dialog name when searching for a waypoint.
* Change max cache time to 1 week.

Fixes since 0.9.94
* Prevent "Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated" messages.
* Invalid number of arguments in call to a_http_download_get_u
* Prevent crash when cut of a GPS track/waypoint layer is attempted via the layers buttons.
* Prevent DEM layer colour indexing going negative and can crash on gradient view.
* Fix DEM layer to show default sea level.
* Fix track background thickness being able to set back to zero.
* Fix internal tile locking
* Fix top layer not drawn after made invisible and then back to being visible.
* Fix impaired (drawcentermark setting bodged) vik file if saved with the top layer visibility turned off.
* Fix syntax errors in help manual
* Fix map drag and drop to show the correct whole map
* Fix "Go to UTM" dialog title.
* Fix first opening of a file which has spaces (or other interesting characters) via the recent files menu.
* Fix unnamed_tracks / unnamed_waypoints misuse.

Viking 0.9.94 (2010-06-10)
New features since 0.9.93
* Add knots as a speed unit option.
* Detect USB Garmin eTrex HCx Legend devices (and maybe others).
* Auto use of /dev/ttyUSB type device if available on Unix systems.
* Add ability to turn off Garmin GPS after transfer.
* Add a 'home' default location preference.
* Add ability to changes preferences outside of the preferences.c file.
* NLS Maps API: Historic map of Great Britain
* Change GUI related command line parameter for Waypoint symbol size into run time preference.
* Support All Zoom Levels in Zoom Menu
* [DOC] Import User Manual from wiki
* Add menu item for help contents

Fixes since 0.9.93
* Add Viking's contributors as copyright holders
* Remove unecessary '\' from the View Menu
* Better Preferences Dialog Title
* More Menu Improvements
* Replace autogen.sh
* On GPS data acquire, only create a layer if it contains something.
* Fix POTFILES with new source file
* Fix OMF category
* Fix Filter->Simplify All Tracks default.
* [DOC] Fix Gnome's menu entry category for viking
* [DOC] Fix erroneous warning
* Fix compiler warning.
* Fix #2977752: win-gtk: osm tiles don't show up
* Fix Track -> View Google Directions URL
* Fix function's return value
* Fix compilation warnings
* Fix #2988574: Can't save files opened via recent file menu
* Fix #2991657: Terraserver downloads fail
* Fix geocaching

Viking 0.9.93 (2010-04-11)
New features since 0.9.92
* Allow overriding map source
* Make GPS layer cut/copy available from popup menu.
* [DOC] Document new files in viking's manpage
* Increase possible smaller zoom
* Add negative scales so that we can have bigger zoom on maps
* Allow images from bigger and smaller zoom to be selected if current zoom has no image

Fixes since 0.9.92
* Fix: set a default filename while exporting
* [DOC] Fix: Viking's sources are hosted by Git now
* Further variable type corrections.
* Fix GPS layer copy.
* Fix Track/Waypoint Layer Paste on 64bit systems.
* [DOC] Fix FILES section of manpage.
* Fix: First Track not Black in Draw All Tracks Black Mode.

Viking 0.9.92 (2010-03-15)
New features since 0.9.91
* Memorize previously selected go-to service.
* Better scale when zoomed close in and in miles distance mode.
* Add and use preference for height units.
* Add and use preference for speed units.
* Add and use preference for distance units.
* Use a preference to set the tiles age.
* New preference for default maplayer cache.
* Improve DEM-Layer.
* Remove OpenAerial support.
* Translation updates.

Fixes since 0.9.91
* Fix: Correctly rotate thumbnail images
* Fix #2958601: Support for non ascii characters in "Go-to" search
* Fix error handling in go-to feature

Viking 0.9.91 (2010-02-06)
New features since 0.9.9
* Interpolation for maps: use less precise images when wanted image is not present
* GObjectify maps
** Add compatibility facilities
* GObjectify go-to/search feature
** Add Name finder search engine
** Add Nominatim search engine
** Add Geonames search engine
** Add generic XML search code
* Add configuration file for map sources, goto and external tool
  (See examples in distribution)
* Add option to download only maps that are more recent on server
** Try to download newer tiles when autodownload is set and server supports such check
** Tiles must be older than a specified age before checking server
* Add support for recently used files
* Add DEM Gradient
* Add DOAP file

Fixes since 0.9.9
* Fix: add GIO dependency and header for GFile
* Fix #2946287: open a recent file
* fix some confusing indentation and bracing
* Fix #2881916: rename a track with c&p
* Fix #2766373: Use a string as device path
* Fix "Moving Map Method" cannot be disabled
* Fix #2880741: replace gps_open with gps_open_r
* Fix #2921899: uses conditional macro to support two versions of libgps
* Fix warnings
* Fix URL formatting issue
* Fix error messages
* Fix #2801874: keep second part of a splitted track visible
* Fix #2838556: emit warning when gpsbabel is not found in PATH
* Fix bashism in test script.
* Merge branch 'fix-osm-api-0.6'
* Fix magic scissors
* Get rid deprecated GtkTooltips API.
* Add configure option to track deprecated feature
* Use motion hints to make map motion more responsive in slow environment.
* Viking compatible with libgps >= 2.90
* finish OSM 0.6 API support
* Optimise bandwidth usage
* keeping OSM password safe

Viking 0.9.9 (2009-09-09)
New features since 0.9.8
* Filter out irrelevant key-modifiers.
* Upgrade OSM-traces support to 0.6 API
* Manage hdop,vdop,pdop,nsat
* Remove unused (and buggy) feature
* Document previous merge
* Improvement of map cache
* Add a viking parameter for mapcache memory size
* Add menu option to flush mapcache, and reduce viking memory footprint
* Use thread-pool to manage download
* Show path used for map directory in options even when using default one
* Include full libcurl version in user agent

Fixes since 0.9.8
* Don't crash when jobs are cancelled via the background jobs dialog.
* Fix #2163652: GPX file with byte order mark not parsed
* Fix #2766609: Don't use gpsd_units()
* Fix #2812856: Change SRTM URL
* Fix #2818818: unset langage preset while opening external Google
* Fix copyright in --version output
* Fix SRTM Server change
* Fix memory leaks found with cppcheck
* Fix warning in call to MD5Update() in function md5_hash()
* Fix previous patch
* vdop, hdop, pdop, nsats and fix_mode values were not shown
* Fix #570956: change saved_width to 1
* Fix build problem
* Fix bug #2481237: Maps directory file chooser should look for directory

Viking 0.9.8 (2009-01-31)
New features since 0.9.7
* Add GeoNames support (both for search and for POI import from Geonames+Wikipedia)
* Remove Google's map tiles.
* Add external tools framework.
* Add OpenStreetMap and Google web tools.
* Clicking on "visible" tick no longer makes the layer selected.
* GPX export: sort track by time.
* Merging tracks by name.
* Tittle waypoint properties dialog as "Waypoint Properties".
* Add larger size waypoint symbols (icons).
* Waypoint names are now displayed at the top of waypoint symbol.
* Waypoint symbols: Use Garmin waypoint.
* New server for OSM cycle map.

Fixes since 0.9.7
* Fix loading of world map file.
* Fix 2249398: Fix some memory leaks.
* Fix bugs that caused magic scissors not working.
* Fix compatibility problem for windows.
* Fix implicit declaration of maps_layer_default_dir().
* Fix missing status return in spawn_command_line_async().
* Fix curl error buffer usage.
* GPS realtime tracking: Keep retrying when fail to connect.
* Windows port: avoid "\\" in URL.

Viking 0.9.7 (2008-10-12)
New features since 0.9.6
* Add new moving map method for realtime tracking.
* Rename icon: viking_icon.png -> viking.png
* src/viking.desktop.in: add GenericName and revise Categories
* Change "Zoom To" short cut to avoid conflict with "Zoom Tool".
* Update translations
* Google search adapting changes from Google.
* add osm cycle layer support
* add a menu entry to extend an existing track using magic scissors
* Patch #2009666: OpenAerialMap
* Add preferences to select how degrees are displayed
* Color picker button for the Coordlayer properties dialog
* Cut/Copy/Paste empty selection is not critical
* Layers panel UI improvements
* Homogeneous icons management.
* Add preferences to store OSM login/password
* Add a password entry widget
* Ensure that confirmation dialog is over file selector

Fixes since 0.9.6
* Fix 2161310: Fix some more compiler warnings
* Fix 2134452: Properties of some tracks show as NaN
* QA: cleanning old stuff
* Fix segfault in realtime tracking.
* Fix missing files in po/POTFILES.in
* viking.spec.in, src/icons/Makefile.am: Fix icon target dir
* fix parallel build (make -j8) on multi-processor machines.
* Fix #1947260: correct a corrupted escape
* Fixed crashes when creating new layers.
* Fix #1952523: mode_button assertion loading old datafile
* Fix: update layer after applying properties
* Fixed google map download problem.
* Replace specific About dialog by GtkAboutDialog
* Replace some g_warning by g_debug

Viking 0.9.6 (2008-07-31)
Fixes since 0.9.5

* Fix Google maps' URL
* Fix gcget command line to accomodate negative coords
* Fix unecessary viking.desktop

Viking 0.9.5 (2008-07-21)
New features since 0.9.4

* Add panning tool as default.
* Replace GtkFileSelection by GtkFileChooser.
* No longer converts waypoint names to uppercase. Waypoint names are now case insensitive.
* Windows port updated.
* Track properties: Keep markers of the graphs in sync with each other.
* Track properties: split track at marker.
* New translations: el, it, ja, lt, nb, nl, pl, zh_CN, zh_TW
* Added viking.desktop
* Added --debug and --verbose command line options.
* Updated man pages.

Fixes since 0.9.4

* Fix #1839948: Maximize/Restore changes current cursor.
* Bug #1915121: add an utility to reproduce (test/gpx2gpx).
* Fix #1915121: use GLib functions to handle ISO8601 dates.
* Fix pipe leaks.
* Remove dependency to wget.
* Fix google version number.
* Track graph marker now works again.
* Fix #1947456: Compiler warning fixes


Viking 0.9.4 (2008-02-25)
New features since 0.9.3

* Make elev graph show better graph for low altitude tracks.
* Printing support
* Draw circle for downloading geocaches.
* Improve track graphs. Some tracks looked too flat.
* Internationalization (I18N)
* Localization (L10N): Czech, Danish, German, Spanish, French, Brazilian Portuguese, Swedish
* Use a list of possible browsers.
* New map source: BlueMarble tiles (http://mike.teczno.com/notes/blue-marble-tiles.html)
* New map source: Google Terrain
* Use the "next unused" (not really) waypoint number as default.
* Sort waypoints in GPX output.
* Preferences support in ~/.viking/viking.prefs
* Update source for OSM/Osmarender tiles
* Full screen mode.
* Tuned the v-t diagram drawing

Fixes since 0.9.3

* Many fixes around compilation warnings
* Fix a bug that caused crashes when displaying elev graph for some track.
* Fix bug that caused Old Google maps not being disabled by default.
* Fix a bug that can potentially cause segfault.
* Fix compilation under HURD (missing MAXPATHLEN macro)
* Fix: ensure config.h is included conditionnaly
* Fix a crash bug in mapcache
* Fix a crash bug in merge-by-time

Viking 0.9.3 (2007-10-21)
New features since 0.9.2

* Half-drawn redraw for faster refreshing display of viewport (Maps, tracks, waypoints...)
* Allow multiple selections when adding DEM files.
* (Semi) auto downloading and importing for SRTM 90m DEM file (worldwide).
* Indicating areas which have DEM file download but not imported.
* "Minimum elevation" is now configurable for DEM layer. It can be used together with the existing "Max Elev" to make DEM display more distinguish colors for a particular area of interest.
* Interpolating DEM data.
* Add realtime tracking to GPS layer with track recording.
* Trackpoints acquired in realtime mode store extra information of speed, course, fix mode and number of satellites.
* Track properties dialog no longer blocks user interaction on main window. Using multiple track dialogs (simultaneously for different tracks) is now allowed.
* Make use of DEM elevation data and GPS speed data for track graphs (Properties Dialog).
* Track Properties: now displays track distance/time instead of "Selected Time".
* Marker for selected position on track graphs.
* Various enhancement to improve usability of track dialog.
* Mouse cursor is now changed accordingly to tool currently in used.
* Magic Scissors (Automatically drawing track between points) can now be undone using right click, and extended via Ctrl-click.
* Shortcuts for panning: Ctrl-arrow key, and Shift-scroll and Ctrl-scroll.
* Extend track.
* Ctrl-shift-scroll to zoom like google, scroll to zoom w/o changing center.
* Preview adding a trackpoint by drawing a line when moving mouse.
* Esc key used to stop track edition.
* Backspace key used to remove last added point.
* Use $BROWSER environment variable (for viewing geocache pages).
* Automatically fetching google version numbers.
* Upgrading to API 0.5 of OSM.

Fixes since 0.9.2

* Fix: Make viking's default start location somewhere more likely has maps.
* Fix: bug that causes crashes when using "Maps Download" tool.
* Fix: Adding command line option framework (--help & --version).
* Fix #1789550: mkdtemp usage is conditioned.
* Fix #1789550: define MAX macro if not defined on ALL systems.
* Fix: optional geocaching -- include config.h to compile.
* Fix: DEM Layer copy/paste.
* Fix: crashes on using wrong tools.
* Fix: bugs that caused odd display of date/time on track properties dialog.
* Fix: Correctly calculate position when click on speed-time graph.
* Fix: Relax dependencies about glib.
* Fix: Upgrading to API 0.5 of OSM.
* Fix: plotting of DEM data on elevation graph.

Viking 0.9.2 (2007-09-04)
New features since 0.9.1

* Use $EMAIL to initialise email field for OSM upload.
* Preset filename when exporting a TrwLayer. 

Fixes since 0.9.1

* Fix: crash when "applying" a map layer property dialog.
* Fix: Do not warn about drawmode inconsistency while reading file.
* Fix: Hide Expedia view mode when expedia is not built in. 

Viking 0.9.1 (2007-09-02)
New features since 0.9

* Upload data (TrackWaypoint layer or single track) to OpenStreetMap.
* Group "Export Layer..." entries in a sub-menu.
* Added --enable-old-google to configure script. Old google modes are now disabled by default.
* Default mode for new maps is Google Maps.
* DEM module can now read hgt.zip files directly (no need to unzip them).
* DEM module can now process 1 arc sec hgt(.zip) files (mainly for USA regions).
* Display on status bar altitude at cursor using data from DEM layer(s). 

Fixes since 0.9

* Add redirect support.
* Some improves to introduce the drawmode notion.
* Better checking to detect downloaded text instead of images.
* New google version number.
* libcurl is a requirement.
* Fix bugs that cause crashes on layers copy/paste/delete.
* Fix bug in Google search that caused viking jump to wrong location when Google can not find the match.
* Clean up and eliminate compiler warning.
* Fix bug in creating temporary HOME when HOME is not set.
* Disable GeoCache Acquire since it no longer works. Can be enabled again using configure --enable-geocaches.
* Disable expedia map layer by default since it no longer works. Can be enabled again using configure --enable-expedia. 

Viking 0.9 (2007-07-13)
New Features since 0.1.3

    * DEM data -- DEMLayer & applying data to tracks & waypoints
    * Make "Save Image" and "Save Image Directory" dialogs reusable
    * Add viking icon
    * Download maps along track
    * Add User-Agent to http request header
    * Add cookies support (for google requests)
    * Add center mark which can be turn on/off in View menu
    * Make the scale more visible on dark maps
    * Add magic scissors feature
    * Add Google Maps search feature
    * Many new waypoint symbols
    * Add man pages
    * Improve performance for map autodownload
    * Google Directions now remembers previous query (from/to entries)
    * New menu items to remove all tracks and waypoints in GPS folders
    * Add "Save and Exit" to File menu
    * Save function for GPS layer
    * Map tool: Left click can now refresh display of map tiles 

Fixes since 0.1.3

    * View Mode displayed wrong setting on startup
    * crashes on gps download/upload
    * SEGFAULT on x86_64
    * segfault on trackpoint properties dialog
    * intermittent problem of map redraw
    * Stop autodownload from running forever on map downloading errors
    * Check for non-displayable data after downloading map 

Viking 0.1.3 (2007-05-17)
- New "Refresh onscreen tiles" entry menu
- Default .spec file for building RPM packages
- Default debian/ subtree for building Debian packages
- Usage of the libcurl library
- Three new map sources from OpenStreetMap
- Better usage of libusb
- Google source map improved
- GUI improves

Viking 0.1.2 (2007-02-13)
- direct access to GPS device: GPS layer
- position inputs accept DDD/DMM/DMS formats (ex: 3.5, 3\B030.0, 3\B030'0.00)
- time position in Track Poperties
- tool (menu entries and buttons) are enabled/disabled following context
- standard 'Edit' menu (with 'Copy', 'Cut', 'Paste' and 'Delete' actions)
- 'Edit' popup menus for waypoint and track
- new configure options:
  * --disable-google
  * --disable-terraserver
  * --disable-expedia
- visual feedback when moving waypoints
- map sections are displayed while downloading
- cosmetics changes (window title, viking's URL in files, 'About' dialog...)
- some improves in source code
- lot of fixes

Viking 0.1.1 (2006-06-11)
- more map sources such as google
- drag and drop of layers and way/trackpoints
- copy/paste between vikings
- "smart" copy which can parse a lat/lon from web pages like geocaching, emails, etc.
- graphs of altitude/velocity
- newer gtk with toolbar icons
- experimental "acquire" features: from GPS, from Google directions, from Geocaching
- gpx support

Viking 0.1.0 (2005-02-27)
- new map layer which supports Google, Expedia, and Topozone maps in addition to the three types of Terraserver maps,
- lots of other fixes,
- visualization options,
- miscellaneous goodies.
